org.springframework.batch.integration.chunk

## Class ChunkResponse

- java.lang.Object
- - org.springframework.batch.integration.chunk.ChunkResponse

- All Implemented Interfaces:
    java.io.Serializable

      public class ChunkResponse
      extends java.lang.Object
      implements java.io.Serializable

  Encapsulates a response to processing a chunk of items, summarising the result as a `StepContribution`.
  Author:
    Dave Syer, Mahmoud Ben Hassine
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ChunkResponse(boolean status, int sequence, java.lang.Long jobId, StepContribution stepContribution)`
    `ChunkResponse(boolean status, int sequence, java.lang.Long jobId, StepContribution stepContribution, java.lang.String message)`
    `ChunkResponse(boolean status, int sequence, java.lang.Long jobId, StepContribution stepContribution, java.lang.String message, boolean redelivered)`
    `ChunkResponse(ChunkResponse input, boolean redelivered)`
    `ChunkResponse(int sequence, java.lang.Long jobId, StepContribution stepContribution)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Long` | `getJobId()`
    `java.lang.String` | `getMessage()`
    `int` | `getSequence()`
    `StepContribution` | `getStepContribution()`
    `boolean` | `isRedelivered()`
    `boolean` | `isSuccessful()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ChunkResponse

          public ChunkResponse(int sequence,
                               java.lang.Long jobId,
                               StepContribution stepContribution)

    - #### ChunkResponse

          public ChunkResponse(boolean status,
                               int sequence,
                               java.lang.Long jobId,
                               StepContribution stepContribution)

    - #### ChunkResponse

          public ChunkResponse(boolean status,
                               int sequence,
                               java.lang.Long jobId,
                               StepContribution stepContribution,
                               @Nullable
                               java.lang.String message)

    - #### ChunkResponse

          public ChunkResponse(ChunkResponse input,
                               boolean redelivered)

    - #### ChunkResponse

          public ChunkResponse(boolean status,
                               int sequence,
                               java.lang.Long jobId,
                               StepContribution stepContribution,
                               @Nullable
                               java.lang.String message,
                               boolean redelivered)

  - ### Method Detail

    - #### getStepContribution

          public StepContribution getStepContribution()

    - #### getJobId

          public java.lang.Long getJobId()

    - #### getSequence

          public int getSequence()

    - #### isSuccessful

          public boolean isSuccessful()

    - #### isRedelivered

          public boolean isRedelivered()

    - #### getMessage

          public java.lang.String getMessage()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      See Also:
        `Object.toString()`